Subject: Re: rm -R reports "circular reference"
From: [email-masked] (Michael Hirmke)

3 Apr 1998 12:23:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Wolfgang,

[...]
>I think there is still something wrong in B19:
>If I make a simple "du" without parameters in the B19 source directory
>
>     /Cygnus/B19/src/bash
>then "du" does not scan the directory lib and its subdirectories. The
>file sizes are simply missing.
>During scanning the directory tree, "du" gets from stat() for "lib"
>the same inode number as for the already scanned subdirectory "doc"
>and therefore skips "lib". If I rename "doc" to "docu" then "lib" is
>scanned.
>I'm working on NT4.0, SP3, NTFS, text=binary mount of / on d:/.

Don't know, what is going on on your machine, but du works as expected
here.

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".